
From: Thomas Gleixner <tglx@linutronix.de>

Use the new lock initializers DEFINE_SPIN_LOCK and DEFINE_RW_LOCK

Signed-off-by: Thomas Gleixner <tglx@linutronix.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/md/dm-log.c |    2 +-
 25-akpm/drivers/md/kcopyd.c |    2 +-
 25-akpm/drivers/md/md.c     |    4 ++--
 3 files changed, 4 insertions(+), 4 deletions(-)

diff -puN drivers/md/dm-log.c~lock-initializer-cleanup-raid drivers/md/dm-log.c
--- 25/drivers/md/dm-log.c~lock-initializer-cleanup-raid	Wed Jan 12 16:54:58 2005
+++ 25-akpm/drivers/md/dm-log.c	Wed Jan 12 16:54:58 2005
@@ -13,7 +13,7 @@
 #include "dm-io.h"
 
 static LIST_HEAD(_log_types);
-static spinlock_t _lock = SPIN_LOCK_UNLOCKED;
+static DEFINE_SPINLOCK(_lock);
 
 int dm_register_dirty_log_type(struct dirty_log_type *type)
 {
diff -puN drivers/md/kcopyd.c~lock-initializer-cleanup-raid drivers/md/kcopyd.c
--- 25/drivers/md/kcopyd.c~lock-initializer-cleanup-raid	Wed Jan 12 16:54:58 2005
+++ 25-akpm/drivers/md/kcopyd.c	Wed Jan 12 16:54:58 2005
@@ -211,7 +211,7 @@ static mempool_t *_job_pool;
  *
  * All three of these are protected by job_lock.
  */
-static spinlock_t _job_lock = SPIN_LOCK_UNLOCKED;
+static DEFINE_SPINLOCK(_job_lock);
 
 static LIST_HEAD(_complete_jobs);
 static LIST_HEAD(_io_jobs);
diff -puN drivers/md/md.c~lock-initializer-cleanup-raid drivers/md/md.c
--- 25/drivers/md/md.c~lock-initializer-cleanup-raid	Wed Jan 12 16:54:58 2005
+++ 25-akpm/drivers/md/md.c	Wed Jan 12 16:54:58 2005
@@ -61,7 +61,7 @@ static void autostart_arrays (int part);
 #endif
 
 static mdk_personality_t *pers[MAX_PERSONALITY];
-static spinlock_t pers_lock = SPIN_LOCK_UNLOCKED;
+static DEFINE_SPINLOCK(pers_lock);
 
 /*
  * Current RAID-1,4,5 parallel reconstruction 'guaranteed speed limit'
@@ -129,7 +129,7 @@ static struct block_device_operations md
  * all_mddevs_lock protects this list.
  */
 static LIST_HEAD(all_mddevs);
-static spinlock_t all_mddevs_lock = SPIN_LOCK_UNLOCKED;
+static DEFINE_SPINLOCK(all_mddevs_lock);
 
 
 /*
_
